
#define MLD_OK           0
#define MLD_PARAM_ERR    -1



//====================== T54 specific pars ==============================

#define  T54X_M_ID       0x101       // T54 Device ID
#define  T54X_PRG_ID     0x100       // this program ID


#define  MSTAT_RDY      0L
#define  MSTAT_BUSY     1L
#define  MSTAT_ATTN     2L
#define  MSTAT_GO       3L
#define  MSTAT_ABORT    4L

#define  MERR_OK        0L
#define  MERR_INV_CMND  1L


#define  MCMND_DAS_SCAN        0x100L    // Master specific commands (DAS-scan)
#define  MCMND_DAS_DAC_SCAN    0x101L    // DAS scan with DAC output
#define  MCMND_DAC_SINGLE_LOAD 0x102L    // single word DAC load
#define  MCMND_ADC_TO_DAC 	0x103L




struct MCD_DD            // Master Communication Descriptor
 { int m_id;            // Master ID
   int prg_id;          // Master program ID

   int status;          // Master STATUS: MSTAT_RDY/BUSY/ATTN
   int err;             // command exec error

   int cmnd;            // command to exec

   unsigned fq;		// Fq timer counter for Master
   unsigned epoch_len;       // epoch length
   unsigned adc_data_saddr,  // ADC data buffer start
            dac_data_saddr;  // DAC data sptr
   unsigned chan;		 // chan map ( bit 0/1: chan-L/R on/off)

 };




#define  MCD_SADDR      (2L*0xff00L)   // MCD & MDATA SBUS addr


//========================================================================


